Bug 106552 - Commandline convert DOCX to fodt or odt, wrong <text:soft-page-break/>
Summary: Commandline convert DOCX to fodt or odt, wrong <text:soft-page-break/>
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.5.1 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX ODF-Flat
  Show dependency treegraph
 
Reported: 2017-03-15 15:48 UTC by Jan Idzikowski
Modified: 2019-05-22 02:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DOCX document (10.56 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-03-15 15:49 UTC, Jan Idzikowski
Details
fodt document created with commandline converting (30.95 KB, application/vnd.oasis.opendocument.text-flat-xml)
2017-03-15 15:50 UTC, Jan Idzikowski
Details
fodt document created with gui (32.23 KB, application/vnd.oasis.opendocument.text-flat-xml)
2017-03-15 15:50 UTC, Jan Idzikowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Idzikowski 2017-03-15 15:48:53 UTC
Description:
Different results when convert DOCX document to fodt|odt with gui and commandline:
soffice --headless --convert-to "fodt:OpenDocument Text Flat XML" --outdir /home/ji/tmp/break 2pages.docx

In the fodt and odt (content.xml) file, which where converted with the commandline, there are 2 <text:soft-page-break/> breaks instead of 1 and both in the wrong place.

When i save the DOCX document to fodt or odt in the gui, is everything ok.

The DOCX document has 2 pages.




Steps to Reproduce:
1. soffice --headless --convert-to "fodt:OpenDocument Text Flat XML" --outdir YOUR_DIR 2pages.docx
2. xmllint --format 2pages.fodt |grep page-break


Actual Results:  
soffice --headless --convert-to "fodt:OpenDocument Text Flat XML" --outdir YOUR_DIR 2pages.docx

xmllint --format 2pages.fodt |grep page-break

Expected Results:
 <office:text text:use-soft-page-breaks="true">
      <text:p text:style-name="Standard"><text:soft-page-break/>Page 1 25</text:p>
      <text:p text:style-name="Standard"><text:soft-page-break/>Page 1 51</text:p>



Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/53.0.2785.143 Chrome/53.0.2785.143 Safari/537.36
Comment 1 Jan Idzikowski 2017-03-15 15:49:32 UTC
Created attachment 131905 [details]
DOCX document

DOCX document
Comment 2 Jan Idzikowski 2017-03-15 15:50:25 UTC
Created attachment 131906 [details]
fodt document created with commandline converting
Comment 3 Jan Idzikowski 2017-03-15 15:50:46 UTC
Created attachment 131907 [details]
fodt document created with gui
Comment 4 Buovjaga 2017-03-19 17:25:54 UTC
Repro. Severity minor as gui works.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.3
Build ID: 5.3.0-2
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 5 QA Administrators 2019-05-22 02:53:01 UTC
Dear Jan Idzikowski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug